ru.bitel.bgbilling.modules.inet.radius

## Class InetRadiusListener

- java.lang.Object
- - ru.bitel.common.io.DatagramChannelListener
  - - ru.bitel.bgbilling.kernel.network.radius.RadiusListener<InetNas>
    - - ru.bitel.bgbilling.modules.inet.radius.InetRadiusListener

- All Implemented Interfaces:
    java.lang.Runnable, ru.bitel.bgbilling.kernel.application.server.ExtendedLifecycle, ru.bitel.bgbilling.kernel.application.server.Lifecycle, ru.bitel.bgbilling.kernel.network.processor.ProcessorListener, ru.bitel.common.worker.ThreadContextFactory<ru.bitel.common.worker.ThreadContext>

      public class InetRadiusListener
      extends RadiusListener<InetNas>
      implements ru.bitel.bgbilling.kernel.application.server.ExtendedLifecycle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusListener

      `RadiusListener.Mode`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusListener

      `accountingStartCounter, accountingStopCounter, accountingUpdateCounter, accountingUpdateIgnoreCount, antispamIgnoreCount, authenticationAcceptCounter, authenticationIgnoreCount, authenticationRejectCounter, dataLogger, mode, processor, setup, threadCountParamName, threadQueueParamName`

    - ### Fields inherited from class ru.bitel.common.io.DatagramChannelListener

      `byteBufferCapacity, channel, directByteBuffer, host, inited, maxPacketSize, port, selector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetRadiusListener(java.lang.String host, int port, int recvBufferSize, int _recvBufferSize, int socketRcvBufSize, RadiusProcessor<?,InetNas,?> processor, RadiusListener.Mode mode, Setup setup, ru.bitel.bgbilling.kernel.network.radius.datalog.hourly.RadiusHourlyDataLogger dataLogger, int threadCount, int maxQueueSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `init()`
    `ru.bitel.bgbilling.kernel.network.processor.ProcessorRequest<?>` | `newRequest(java.net.SocketAddress clientAddress, long millis, java.nio.ByteBuffer data, int overloadLevel)`
    `void` | `onPacket(java.net.SocketAddress clientAddress, java.nio.ByteBuffer data)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusListener

      `getActiveThreadCount, getCurrentThreadCount, getMaxQueueSize, getQueueSize, getSlow1QueueSize, getSlow2QueueSize, getTaskCount, getThreadCount, isSkipAccountingRequestsOnSlow, newThreadContext, setMaxQueueSize, setSkipAccountingRequestsOnSlow, setThreadCount, startListener, toString, toString`

    - ### Methods inherited from class ru.bitel.common.io.DatagramChannelListener

      `run, select, send, sendResponse, setReuseAddress, shutdown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.network.processor.ProcessorListener

      `send`

- - ### Constructor Detail

    - #### InetRadiusListener

          @ConstructorProperties(value={"host","port","recvBufferSize","byteBufferCapacity","soRCVBUF","processor","mode","setup","dataLogger","threadCount","maxQueueSize"})
          public InetRadiusListener(java.lang.String host,
                                                                                                                                                                                                        int port,
                                                                                                                                                                                                        int recvBufferSize,
                                                                                                                                                                                                        int _recvBufferSize,
                                                                                                                                                                                                        int socketRcvBufSize,
                                                                                                                                                                                                        RadiusProcessor<?,InetNas,?> processor,
                                                                                                                                                                                                        RadiusListener.Mode mode,
                                                                                                                                                                                                        Setup setup,
                                                                                                                                                                                                        ru.bitel.bgbilling.kernel.network.radius.datalog.hourly.RadiusHourlyDataLogger dataLogger,
                                                                                                                                                                                                        int threadCount,
                                                                                                                                                                                                        int maxQueueSize)

  - ### Method Detail

    - #### newRequest

          public ru.bitel.bgbilling.kernel.network.processor.ProcessorRequest<?> newRequest(java.net.SocketAddress clientAddress,
                                                                                            long millis,
                                                                                            java.nio.ByteBuffer data,
                                                                                            int overloadLevel)

      Specified by:
        `newRequest` in interface `ru.bitel.bgbilling.kernel.network.processor.ProcessorListener`
      Overrides:
        `newRequest` in class `RadiusListener<InetNas>`

    - #### init

          public void init()

      Specified by:
        `init` in interface `ru.bitel.bgbilling.kernel.application.server.ExtendedLifecycle`
      Overrides:
        `init` in class `ru.bitel.common.io.DatagramChannelListener`

    - #### start

          public void start()

      Specified by:
        `start` in interface `ru.bitel.bgbilling.kernel.application.server.Lifecycle`

    - #### stop

          public void stop()
                    throws java.lang.Exception

      Specified by:
        `stop` in interface `ru.bitel.bgbilling.kernel.application.server.Lifecycle`
      Throws:
        `java.lang.Exception`

    - #### destroy

          public void destroy()
                       throws java.lang.Exception

      Specified by:
        `destroy` in interface `ru.bitel.bgbilling.kernel.application.server.ExtendedLifecycle`
      Throws:
        `java.lang.Exception`

    - #### onPacket

          public void onPacket(java.net.SocketAddress clientAddress,
                               java.nio.ByteBuffer data)

      Overrides:
        `onPacket` in class `RadiusListener<InetNas>`